# Uses of Interface
javax.net.ssl.HostnameVerifier

Packages that use HostnameVerifier
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of HostnameVerifier in javax.naming.ldap

Methods in javax.naming.ldap with parameters of type HostnameVerifier
Modifier and Type
Method
Description
`abstract void`
StartTlsResponse.`setHostnameVerifier(HostnameVerifier verifier)`
Sets the hostname verifier used by `negotiate()` after the TLS handshake has completed and the default hostname verification has failed.

## Uses of HostnameVerifier in javax.net.ssl

Fields in javax.net.ssl declared as HostnameVerifier
Modifier and Type
Field
Description
`protected HostnameVerifier`
HttpsURLConnection.`hostnameVerifier`
The `hostnameVerifier` for this object.
Methods in javax.net.ssl that return HostnameVerifier
Modifier and Type
Method
Description
`static HostnameVerifier`
HttpsURLConnection.`getDefaultHostnameVerifier()`
Gets the default `HostnameVerifier` that is inherited by new instances of this class.
`HostnameVerifier`
HttpsURLConnection.`getHostnameVerifier()`
Gets the `HostnameVerifier` in place on this instance.
Methods in javax.net.ssl with parameters of type HostnameVerifier
Modifier and Type
Method
Description
`static void`
HttpsURLConnection.`setDefaultHostnameVerifier(HostnameVerifier v)`
Sets the default `HostnameVerifier` inherited by a new instance of this class.
`void`
HttpsURLConnection.`setHostnameVerifier(HostnameVerifier v)`
Sets the `HostnameVerifier` for this instance.